Main Page Alphabetical List Data Structures File List Data Fields Globals

# plot.h File Reference

## Data Structures
struct | _wmf_plot_t
## Defines
#define | WMF_PLOT_GetData(Z) ((wmf_plot_t*)((Z)->device_data))
## Typedefs
typedef enum _wmf_plot_subtype | wmf_plot_subtype
typedef _wmf_plot_t | wmf_plot_t
## Enumerations
enum | _wmf_plot_subtype { wmf_plot_generic = 0, wmf_plot_bitmap, wmf_plot_meta, wmf_plot_tek, wmf_plot_regis, wmf_plot_hpgl, wmf_plot_pcl, wmf_plot_fig, wmf_plot_cgm, wmf_plot_ps, wmf_plot_ai, wmf_plot_svg, wmf_plot_gif, wmf_plot_pnm, wmf_plot_png, wmf_plot_Xdrawable, wmf_plot_X }
## Functions
void | wmf_plot_function (wmfAPI *)

## Define Documentation

#define WMF_PLOT_GetData | ( | Z |  | ) | ((wmf_plot_t*)((Z)->device_data))

## Typedef Documentation

typedef enum _wmf_plot_subtype wmf_plot_subtype

typedef struct _wmf_plot_t wmf_plot_t

## Enumeration Type Documentation

enum _wmf_plot_subtype

  | Enumeration values:
  wmf_plot_generic |
  wmf_plot_bitmap |
  wmf_plot_meta |
  wmf_plot_tek |
  wmf_plot_regis |
  wmf_plot_hpgl |
  wmf_plot_pcl |
  wmf_plot_fig |
  wmf_plot_cgm |
  wmf_plot_ps |
  wmf_plot_ai |
  wmf_plot_svg |
  wmf_plot_gif |
  wmf_plot_pnm |
  wmf_plot_png |
  wmf_plot_Xdrawable |
  wmf_plot_X |

## Function Documentation

void wmf_plot_function | ( | wmfAPI * |  | ) |